﻿Imports System.IO
Imports Infragistics.Web.UI.ListControls

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        PopulateImageViewer()
    End Sub

    Private Function GetFiles() As String()
        Dim webCurrentDirectory As String = HttpRuntime.AppDomainAppPath
        Dim filePaths As String() = Directory.GetFiles(webCurrentDirectory & "\images\", "*.jpg", SearchOption.TopDirectoryOnly)
        Dim fileNames As String() = filePaths.[Select](Function(filePath) Path.GetFileName(filePath)).ToArray()
        Return fileNames
    End Function

    Private Sub PopulateImageViewer()
        Dim fileNames As String() = GetFiles()

        For Each fileName As String In fileNames
            Dim imageItem As ImageItem = New ImageItem("images/" & fileName, fileName, fileName & " tooltip")
            imageViewer.Items.Add(imageItem)
        Next
    End Sub
End Class
